package com.ruoyi.base.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 会员卡权益对象 dl_base_card_rights
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@TableName("dl_base_card_rights")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BaseCardRights extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 会员卡 */
    @Excel(name = "会员卡")
    private String cardId;

    /** 权益 */
    @Excel(name = "权益")
    private String rightsId;

    /** 权益值 */
    @Excel(name = "权益值")
    private Integer rightsValue;

}
