package com.ruoyi.base.domain;

import java.math.BigDecimal;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 通告券对象 dl_base_coupon
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@TableName("dl_base_coupon")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BaseCoupon extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 数量 */
    @Excel(name = "数量")
    private Integer couponNum;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 是否显示 */
    @Excel(name = "是否显示")
    private Integer isShow;

}
