package com.ruoyi.base.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.base.mapper.BaseCardMapper;
import com.ruoyi.base.domain.BaseCard;
import com.ruoyi.base.service.IBaseCardService;

/**
 * 会员卡Service业务层处理
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@Service
public class BaseCardServiceImpl extends ServiceImpl<BaseCardMapper,BaseCard>  implements IBaseCardService
{
    @Autowired
    private BaseCardMapper baseCardMapper;

    @Override
    public IPage<BaseCard> queryListPage(BaseCard pageReqVO, Page<BaseCard> page) {
        return baseCardMapper.queryListPage(pageReqVO, page);
    }
}
