package com.ruoyi.base.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.base.mapper.BaseCityMapper;
import com.ruoyi.base.domain.BaseCity;
import com.ruoyi.base.service.IBaseCityService;

/**
 * 城市Service业务层处理
 * 
 * @author vinjor-m
 * @date 2025-03-18
 */
@Service
public class BaseCityServiceImpl extends ServiceImpl<BaseCityMapper,BaseCity>  implements IBaseCityService
{
    @Autowired
    private BaseCityMapper baseCityMapper;

    @Override
    public IPage<BaseCity> queryListPage(BaseCity pageReqVO, Page<BaseCity> page) {
        return baseCityMapper.queryListPage(pageReqVO, page);
    }
}
