package com.ruoyi.base.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.base.mapper.BaseRightsMapper;
import com.ruoyi.base.domain.BaseRights;
import com.ruoyi.base.service.IBaseRightsService;

/**
 * 会员权益Service业务层处理
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@Service
public class BaseRightsServiceImpl extends ServiceImpl<BaseRightsMapper,BaseRights>  implements IBaseRightsService
{
    @Autowired
    private BaseRightsMapper baseRightsMapper;

    @Override
    public IPage<BaseRights> queryListPage(BaseRights pageReqVO, Page<BaseRights> page) {
        return baseRightsMapper.queryListPage(pageReqVO, page);
    }
}
