package com.ruoyi.busi.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 通告自定义报名单对象 dl_busi_notice_form
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@TableName("dl_busi_notice_form")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiNoticeForm extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 通告 */
    @Excel(name = "通告")
    private String noticeId;

    /** 字段label标题 */
    @Excel(name = "字段label标题")
    private String labelTitle;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

}
