package com.ruoyi.busi.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 通告留言对象 dl_busi_notice_msg
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@TableName("dl_busi_notice_msg")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiNoticeMsg extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 通告 */
    @Excel(name = "通告")
    private String noticeId;

    /** 报名用户 */
    @Excel(name = "报名用户")
    private Long userId;

    /** 留言内容 */
    @Excel(name = "留言内容")
    private String content;

}
