package com.ruoyi.busi.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 通告浏览量对象 dl_busi_notice_view
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@TableName("dl_busi_notice_view")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiNoticeView extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 通告id */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 浏览量 */
    @Excel(name = "浏览量")
    private Long viewNum;

}
