package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiEvaluateMapper;
import com.ruoyi.busi.domain.BusiEvaluate;
import com.ruoyi.busi.service.IBusiEvaluateService;

/**
 * 评价Service业务层处理
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@Service
public class BusiEvaluateServiceImpl extends ServiceImpl<BusiEvaluateMapper,BusiEvaluate>  implements IBusiEvaluateService
{
    @Autowired
    private BusiEvaluateMapper busiEvaluateMapper;

    @Override
    public IPage<BusiEvaluate> queryListPage(BusiEvaluate pageReqVO, Page<BusiEvaluate> page) {
        return busiEvaluateMapper.queryListPage(pageReqVO, page);
    }
}
