package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiFeedbackMapper;
import com.ruoyi.busi.domain.BusiFeedback;
import com.ruoyi.busi.service.IBusiFeedbackService;

/**
 * 意见反馈Service业务层处理
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@Service
public class BusiFeedbackServiceImpl extends ServiceImpl<BusiFeedbackMapper,BusiFeedback>  implements IBusiFeedbackService
{
    @Autowired
    private BusiFeedbackMapper busiFeedbackMapper;

    @Override
    public IPage<BusiFeedback> queryListPage(BusiFeedback pageReqVO, Page<BusiFeedback> page) {
        return busiFeedbackMapper.queryListPage(pageReqVO, page);
    }
}
