package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiNoticeMsgMapper;
import com.ruoyi.busi.domain.BusiNoticeMsg;
import com.ruoyi.busi.service.IBusiNoticeMsgService;

/**
 * 通告留言Service业务层处理
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@Service
public class BusiNoticeMsgServiceImpl extends ServiceImpl<BusiNoticeMsgMapper,BusiNoticeMsg>  implements IBusiNoticeMsgService
{
    @Autowired
    private BusiNoticeMsgMapper busiNoticeMsgMapper;

    @Override
    public IPage<BusiNoticeMsg> queryListPage(BusiNoticeMsg pageReqVO, Page<BusiNoticeMsg> page) {
        return busiNoticeMsgMapper.queryListPage(pageReqVO, page);
    }
}
