package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiNoticePriceMapper;
import com.ruoyi.busi.domain.BusiNoticePrice;
import com.ruoyi.busi.service.IBusiNoticePriceService;

/**
 * 通告报名名片价格Service业务层处理
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@Service
public class BusiNoticePriceServiceImpl extends ServiceImpl<BusiNoticePriceMapper,BusiNoticePrice>  implements IBusiNoticePriceService
{
    @Autowired
    private BusiNoticePriceMapper busiNoticePriceMapper;

    @Override
    public IPage<BusiNoticePrice> queryListPage(BusiNoticePrice pageReqVO, Page<BusiNoticePrice> page) {
        return busiNoticePriceMapper.queryListPage(pageReqVO, page);
    }
}
