package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiNoticeSignMapper;
import com.ruoyi.busi.domain.BusiNoticeSign;
import com.ruoyi.busi.service.IBusiNoticeSignService;

/**
 * 通告报名Service业务层处理
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@Service
public class BusiNoticeSignServiceImpl extends ServiceImpl<BusiNoticeSignMapper,BusiNoticeSign>  implements IBusiNoticeSignService
{
    @Autowired
    private BusiNoticeSignMapper busiNoticeSignMapper;

    @Override
    public IPage<BusiNoticeSign> queryListPage(BusiNoticeSign pageReqVO, Page<BusiNoticeSign> page) {
        return busiNoticeSignMapper.queryListPage(pageReqVO, page);
    }
}
