package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiReportMapper;
import com.ruoyi.busi.domain.BusiReport;
import com.ruoyi.busi.service.IBusiReportService;

/**
 * 举报记录Service业务层处理
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@Service
public class BusiReportServiceImpl extends ServiceImpl<BusiReportMapper,BusiReport>  implements IBusiReportService
{
    @Autowired
    private BusiReportMapper busiReportMapper;

    @Override
    public IPage<BusiReport> queryListPage(BusiReport pageReqVO, Page<BusiReport> page) {
        return busiReportMapper.queryListPage(pageReqVO, page);
    }
}
