package com.ruoyi.member.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 浏览足迹对象 dl_member_footprint
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@TableName("dl_member_footprint")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MemberFootprint extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 通告id */
    @Excel(name = "通告id")
    private String noticeId;

}
