package com.ruoyi.member.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.member.domain.MemberUser;

/**
 * 会员Service接口
 *
 * @author pqz
 * @date 2025-03-17
 */
public interface IMemberUserService extends IService<MemberUser> {

    /**
     * 分页列表查询
     *
     * @param pageReqVO {@link MemberUser}
     * @param page      分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.domain.MemberUser>
     * @author PQZ
     * @date 15:32 2025/3/17
     **/
    IPage<MemberUser> queryListPage(MemberUser pageReqVO, Page<MemberUser> page);

}
