package com.ruoyi.base.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 基础配置-账户配置、小程序配置的内容对象 dl_base_config
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@TableName("dl_base_config")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BaseConfig extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 唯一编码 */
    @Excel(name = "唯一编码")
    private String code;
    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** json字符串 */
    @Excel(name = "json字符串")
    private String jsonStr;

}
