package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiNoticeFormMapper;
import com.ruoyi.busi.domain.BusiNoticeForm;
import com.ruoyi.busi.service.IBusiNoticeFormService;

/**
 * 通告自定义报名单Service业务层处理
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@Service
public class BusiNoticeFormServiceImpl extends ServiceImpl<BusiNoticeFormMapper,BusiNoticeForm>  implements IBusiNoticeFormService
{
    @Autowired
    private BusiNoticeFormMapper busiNoticeFormMapper;

    @Override
    public IPage<BusiNoticeForm> queryListPage(BusiNoticeForm pageReqVO, Page<BusiNoticeForm> page) {
        return busiNoticeFormMapper.queryListPage(pageReqVO, page);
    }
}
