package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiNoticeSignCardMapper;
import com.ruoyi.busi.domain.BusiNoticeSignCard;
import com.ruoyi.busi.service.IBusiNoticeSignCardService;

/**
 * 通告报名名片Service业务层处理
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@Service
public class BusiNoticeSignCardServiceImpl extends ServiceImpl<BusiNoticeSignCardMapper,BusiNoticeSignCard>  implements IBusiNoticeSignCardService
{
    @Autowired
    private BusiNoticeSignCardMapper busiNoticeSignCardMapper;

    @Override
    public IPage<BusiNoticeSignCard> queryListPage(BusiNoticeSignCard pageReqVO, Page<BusiNoticeSignCard> page) {
        return busiNoticeSignCardMapper.queryListPage(pageReqVO, page);
    }
}
