package com.ruoyi.busi.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiNoticeViewMapper;
import com.ruoyi.busi.domain.BusiNoticeView;
import com.ruoyi.busi.service.IBusiNoticeViewService;

/**
 * 通告浏览量Service业务层处理
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@Service
public class BusiNoticeViewServiceImpl extends ServiceImpl<BusiNoticeViewMapper,BusiNoticeView>  implements IBusiNoticeViewService
{
    @Autowired
    private BusiNoticeViewMapper busiNoticeViewMapper;

    @Override
    public IPage<BusiNoticeView> queryListPage(BusiNoticeView pageReqVO, Page<BusiNoticeView> page) {
        return busiNoticeViewMapper.queryListPage(pageReqVO, page);
    }
}
