package com.ruoyi.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.member.domain.MemberApply;
import com.ruoyi.member.vo.MemberApplyVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 通告主认证申请Mapper接口
 *
 * @author pqz
 * @date 2025-03-17
 */
@Mapper
public interface MemberApplyMapper extends BaseMapper<MemberApply> {


    /**
     * 分页查询认证信息
     *
     * @param entity {@link MemberApplyVO}
     * @param page   分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.vo.MemberApplyVO>
     * @author PQZ
     * @date 9:54 2025/3/18
     **/
    IPage<MemberApplyVO> queryListPage(@Param("entity") MemberApplyVO entity, Page<MemberApply> page);

}
