package com.ruoyi.member.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.member.domain.MemberApply;
import com.ruoyi.member.vo.MemberApplyVO;

/**
 * 通告主认证申请Service接口
 *
 * @author pqz
 * @date 2025-03-17
 */
public interface IMemberApplyService extends IService<MemberApply> {

    /**
     * 通告主认证申请列表查询
     *
     * @param memberApply {@link MemberApplyVO}
     * @param page        分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.domain.MemberApply>
     * @author PQZ
     * @date 9:53 2025/3/18
     **/
    IPage<MemberApplyVO> queryListPage(MemberApplyVO memberApply, Page<MemberApply> page);

    /**
     * 审核通告主
     *
     * @param memberApply {@link MemberApplyVO}
     * @author PQZ
     * @date 11:50 2025/3/18
     **/
    void checkMemberApply(MemberApplyVO memberApply);
}
